EDIT - feature request #6460

Refactor referencing objects in a way that supplemental data know what object they belong to

03/02/2017 11:25 AM - Andreas Miller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.36

Severity: normal

Description

Currently the referencing objects view does not give much information about e.g. original sources. As the source does not link to the
sourceable object it belongs to this information can not be shown. To avoid performance overhead we should compute this

information on server side within the service call.

For this we may want to have DTO returned instead of CdmBases. This DTO could also compute the required additional information

that currently is computed in the TaxEditor.

Related issues:
Related to EDIT - feature request #6697: reconstruct getReferencingObjects t...
Related to EDIT - feature request #9541: Improve referencing objects handling

Worksforme
Closed

Associated revisions

Revision 1fbe5e2e - 03/08/2023 02:33 PM - Andreas Miiller

ref #6460 show feature for textData in refObjView and better handling for empty term labels

History

#1 - 06/07/2017 10:15 AM - Katja Luther

- Related to feature request #6697: reconstruct getReferencingObjects to return DTOs added

#2 - 03/24/2022 02:44 PM - Andreas Miiller

- Related to feature request #9541: Improve referencing objects handling added

#3 - 03/24/2022 02:46 PM - Andreas Miiller

- Status changed from New to Resolved

- Target version changed from Unassigned CDM tickets to Release 5.44

- % Done changed from 0 to 50

This was probably already fully implemented some time ago. Please check.
Also check related tickets.

#4 - 03/08/2023 03:52 PM - Andreas Miiller

- Status changed from Resolved to Closed

- % Done changed from 50 to 100

At least for description sources this works now and shows deb information correctly starting in 5.36

#5 - 03/20/2023 03:37 PM - Andreas Miiller

- Target version changed from Release 5.44 to Release 5.36
